FlxpointAPI Help CenterBeta

[Deprecated] Search Listing Variants

posthttps://api.flxpoint.com/listing/search/variantsDeprecated

Use this when you want to create listing data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

Lists Listing Variants that meet the input filters

Request

Query parameters
  • pageSizequeryinteger

    Number of entries per page

  • pagequeryinteger
  • includeParentqueryboolean
  • includeImagesqueryboolean
  • includeOptionValuesqueryboolean
  • includeOverwritesqueryboolean

    will include dynamic prices and quantities if they are overwritten with fixed values

  • includeCustomFieldsqueryboolean
Bodyapplication/json
filterChannelIdinteger
filterParentIdsarray[integer]
integer
filterVariantIdsarray[integer]
integer
filterExternalIdsarray[string]
string
filterProductVariantIdsarray[integer]
integer
filterSkusarray[string]
string
filterUpcsarray[string]
string
filterMpnsarray[string]
string
filterEansarray[string]
string
filterAsinsarray[string]
string
filterNeedsSyncedboolean
filterNeedsDeletingboolean
default false

Example request

post/listing/search/variants
curl -X POST "https://api.flxpoint.com/listing/search/variants" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
         "filterChannelId": 0,
         "filterParentIds": [
           0
         ],
         "filterVariantIds": [
           0
         ],
         "filterExternalIds": [
           "string"
         ],
         "filterProductVariantIds": [
           0
         ],
         "filterSkus": [
           "string"
         ],
         "filterUpcs": [
           "string"
         ],
         "filterMpns": [
           "string"
         ],
         "filterEans": [
           "string"
         ],
         "filterAsins": [
           "string"
         ],
         "filterNeedsSynced": true,
         "filterNeedsDeleting": true
       }'
Example body · application/json
{
  "filterChannelId": 0,
  "filterParentIds": [
    0
  ],
  "filterVariantIds": [
    0
  ],
  "filterExternalIds": [
    "string"
  ],
  "filterProductVariantIds": [
    0
  ],
  "filterSkus": [
    "string"
  ],
  "filterUpcs": [
    "string"
  ],
  "filterMpns": [
    "string"
  ],
  "filterEans": [
    "string"
  ],
  "filterAsins": [
    "string"
  ],
  "filterNeedsSynced": true,
  "filterNeedsDeleting": true
}

Responses

200OKapplication/json
array[ListingVariant]
priceOverwriteobject
priceOverwrittenboolean
True if the dynamic price is overwritten to a locked value.
costOverwrittenboolean
True if the dynamic cost is overwritten to a locked value.
msrpOverwrittenboolean
True if the dynamic MSRP is overwritten to a locked value.
mapOverwrittenboolean
True if the dynamic MAP is overwritten to a locked value.
shippingCostOverwrittenboolean
True if the dynamic estimated shipping cost is overwritten to a locked value.
dropshipFeeOverwrittenboolean
True if the dynamic estimated dropship fee is overwritten to a locked value.
dynamicPricenumber
The price value that is dynamically calculated based on the aggregate rules and/or workflow rules configured. This value will be restored as the variant price upon removing an overwrite.
dynamicCostnumber
The cost value that is dynamically calculated based on the aggregate rules and/or workflow rules configured. This value will be restored as the variant cost upon removing an overwrite.
dynamicMsrpnumber
The MSRP value that is dynamically calculated based on the aggregate rules and/or workflow rules configured. This value will be restored as the variant MSRP upon removing an overwrite.
dynamicMapnumber
The MAP value that is dynamically calculated based on the aggregate rules and/or workflow rules configured. This value will be restored as the variant MAP upon removing an overwrite.
dynamicShippingCostnumber
The estimated shipping cost value that is dynamically calculated based on the aggregate rules and/or workflow rules configured. This value will be restored as the variant estimated shipping cost upon removing an overwrite.
dynamicDropshipFeenumber
The estimated dropship fee value that is dynamically calculated based on the aggregate rules and/or workflow rules configured. This value will be restored as the variant estimated dropship fee upon removing an overwrite.
quantityOverwriteobject
quantityOverwrittenboolean
True if the dynamic quantity is overwritten to a locked value.
dynamicQuantityinteger
The quantity value that is dynamically calculated based on the aggregate rules and/or workflow rules configured. This value will be restored as the variant quantity upon removing an overwrite.
orderVolumeProtectionLockedAtstring
The timestamp of when the item was locked by order volume protection.
lastManualQuantityinteger
The previous manually locked quantity. This value is only populated when a quantity overwritten variant gets locked by order volume protection.
isLockedByOrderVolumeProtectionboolean
A boolean value representing if the variant is locked by order volume protection.
default "false"
listingParentIdinteger
pricenumber
salePricenumber
estimatedShippingCostnumber
estimatedDropshipFeenumber
inventoryListPricenumber
imagesFetchedboolean
builtWithMappingTemplateIdinteger
builtAtstring (date-time)
rebuiltAtstring (date-time)
idinteger
accountIdinteger
skustringrequired
masterSkustring
Your master SKU is the SKU you use at your central product catalog level that is used as the primary means of identifying and linking your different listings across all your channels to your single central product
titlestring
mpnstring
upcstring
eanstring
asinstring
msrpnumber
mapnumber
weightnumber
lengthnumber
widthnumber
heightnumber
insertedAtstring (date-time)
updatedAtstring (date-time)
archivedboolean
costnumber
quantityinteger
weightUnitobject
handlestring
allowedpoundouncegramkilogram
abbreviatedHandlestring
allowedlbozgkg
dimensionUnitobject
handlestring
allowedinchcentimeter
abbreviatedHandlestring
allowedincm
dimensionalWeightnumber
imagesarray[ListingImage]
listingParentIdinteger
listingVariantIdinteger
md5Checksumstring
idinteger
urlstringrequired
sortOrderinteger
createdAtstring (date-time)
publishedAtstring (date-time)
staticContentUpdatedAtstring (date-time)
staticContentSyncedAtstring (date-time)
dynamicContentUpdatedAtstring (date-time)
dynamicCOntentSyncedAtstring (date-time)
publishingboolean
externalListingIdstring
listingErrorstring
productParentImageIdinteger
productVariantImageIdinteger
optionsarray[ListingVariantOption]
listingParentOptionIdinteger
globalOptionValueIdinteger (int64)
listingVariantIdinteger
idinteger
namestringrequired
valuestringrequired
positioninteger
globalPositioninteger
channelIdintegerrequired
productVariantIdintegerrequired
externalListingIdstring
publishErrorstring
syncErrorstring
pausedAtstring (date-time)
staticContentUpdatedAtstring (date-time)
staticContentSyncedAtstring (date-time)
dynamicContentUpdatedAtstring (date-time)
dynamicContentSyncedAtstring (date-time)
linkAttemptedAtstring (date-time)
linkedToRegularProductboolean
externalReferenceIdstring
externalReferenceIdTypestring
listingStatusobject
idinteger
handlestringrequired
allowednot_listedlistedhiddendelistedpublishedbroken_linkoverwrite_data
namestring
changeToListingStatusobject
idinteger
handlestringrequired
allowednot_listedlistedhiddendelistedpublishedbroken_linkoverwrite_data
namestring
listingParentobject
idinteger
accountIdinteger
skustringrequired
titlestring
descriptionstring
manufacturerstring
insertedAtstring (date-time)
updatedAtstring (date-time)
archivedboolean
categoryOneobject
A listing category. These are primarily created during the listing building process, and are initially seeded/populated from the passed `productCategory`.
accountIdinteger
insertedAtstring (date-time)
updatedAtstring (date-time)
customizedboolean
idinteger
namestringrequired
parentCategoryIdinteger
productCategoryobject
A product category. These are primarily created during the product building process, and are initially seeded/populated from the passed `inventoryCategory`.
accountIdinteger
insertedAtstring (date-time)
updatedAtstring (date-time)
customizedboolean
idinteger
namestringrequired
parentCategoryIdinteger
inventoryCategoryobject
sourceIdinteger
productCategoryIdinteger
A product Category this inventory category is mapped to
idinteger
namestringrequired
excludedboolean
parentCategoryIdinteger
channelIdintegerrequired
productCategoryIdinteger
categoryTwoobject
A listing category. These are primarily created during the listing building process, and are initially seeded/populated from the passed `productCategory`.
accountIdinteger
insertedAtstring (date-time)
updatedAtstring (date-time)
customizedboolean
idinteger
namestringrequired
parentCategoryIdinteger
productCategoryobject
A product category. These are primarily created during the product building process, and are initially seeded/populated from the passed `inventoryCategory`.
accountIdinteger
insertedAtstring (date-time)
updatedAtstring (date-time)
customizedboolean
idinteger
namestringrequired
parentCategoryIdinteger
inventoryCategoryobject
sourceIdinteger
productCategoryIdinteger
A product Category this inventory category is mapped to
idinteger
namestringrequired
excludedboolean
parentCategoryIdinteger
channelIdintegerrequired
productCategoryIdinteger
categoryThreeobject
A listing category. These are primarily created during the listing building process, and are initially seeded/populated from the passed `productCategory`.
accountIdinteger
insertedAtstring (date-time)
updatedAtstring (date-time)
customizedboolean
idinteger
namestringrequired
parentCategoryIdinteger
productCategoryobject
A product category. These are primarily created during the product building process, and are initially seeded/populated from the passed `inventoryCategory`.
accountIdinteger
insertedAtstring (date-time)
updatedAtstring (date-time)
customizedboolean
idinteger
namestringrequired
parentCategoryIdinteger
inventoryCategoryobject
sourceIdinteger
productCategoryIdinteger
A product Category this inventory category is mapped to
idinteger
namestringrequired
excludedboolean
parentCategoryIdinteger
channelIdintegerrequired
productCategoryIdinteger
imagesarray[ListingImage]
listingParentIdinteger
listingVariantIdinteger
md5Checksumstring
idinteger
urlstringrequired
sortOrderinteger
createdAtstring (date-time)
publishedAtstring (date-time)
staticContentUpdatedAtstring (date-time)
staticContentSyncedAtstring (date-time)
dynamicContentUpdatedAtstring (date-time)
dynamicCOntentSyncedAtstring (date-time)
publishingboolean
externalListingIdstring
listingErrorstring
productParentImageIdinteger
productVariantImageIdinteger
optionsarray[ListingParentOption]
listingParentIdinteger
globalOptionIdinteger (int64)
idinteger
namestringrequired
optionValuesarray[OptionValue]
idinteger
optionIdinteger
valuestring
positioninteger
globalPositioninteger
globalOptionValueIdinteger (int64)
attributesarray[ListingParentAttribute]
idinteger (int64)
attributeIdinteger
attributeValueIdinteger
namestringrequired
originalInventoryNamestring
valuestringrequired
originalInventoryValuestring
isPrivateboolean
mergeToAttributeIdinteger
mergeToAttributeNamestring
mergeToAttributeValueIdinteger
mergeToAttributeValuestring
mergeToAttributeIsPrivateboolean
customFieldsarray[ListingParentCustomField]
idinteger (int64)
customFieldValueIdinteger
customFieldIdinteger
namestringrequired
valuestringrequired
originalInventoryNamestring
originalInventoryValuestring
mergeToCustomFieldIdinteger
mergeToCustomFieldNamestring
mergeToCustomFieldValueIdinteger
mergeToCustomFieldValuestring
variantsarray[ListingVariant]
priceOverwriteobject
priceOverwrittenboolean
True if the dynamic price is overwritten to a locked value.
costOverwrittenboolean
True if the dynamic cost is overwritten to a locked value.
msrpOverwrittenboolean
True if the dynamic MSRP is overwritten to a locked value.
mapOverwrittenboolean
True if the dynamic MAP is overwritten to a locked value.
shippingCostOverwrittenboolean
True if the dynamic estimated shipping cost is overwritten to a locked value.
dropshipFeeOverwrittenboolean
True if the dynamic estimated dropship fee is overwritten to a locked value.
dynamicPricenumber
The price value that is dynamically calculated based on the aggregate rules and/or workflow rules configured. This value will be restored as the variant price upon removing an overwrite.
dynamicCostnumber
The cost value that is dynamically calculated based on the aggregate rules and/or workflow rules configured. This value will be restored as the variant cost upon removing an overwrite.
dynamicMsrpnumber
The MSRP value that is dynamically calculated based on the aggregate rules and/or workflow rules configured. This value will be restored as the variant MSRP upon removing an overwrite.
dynamicMapnumber
The MAP value that is dynamically calculated based on the aggregate rules and/or workflow rules configured. This value will be restored as the variant MAP upon removing an overwrite.
dynamicShippingCostnumber
The estimated shipping cost value that is dynamically calculated based on the aggregate rules and/or workflow rules configured. This value will be restored as the variant estimated shipping cost upon removing an overwrite.
dynamicDropshipFeenumber
The estimated dropship fee value that is dynamically calculated based on the aggregate rules and/or workflow rules configured. This value will be restored as the variant estimated dropship fee upon removing an overwrite.
quantityOverwriteobject
quantityOverwrittenboolean
True if the dynamic quantity is overwritten to a locked value.
dynamicQuantityinteger
The quantity value that is dynamically calculated based on the aggregate rules and/or workflow rules configured. This value will be restored as the variant quantity upon removing an overwrite.
orderVolumeProtectionLockedAtstring
The timestamp of when the item was locked by order volume protection.
lastManualQuantityinteger
The previous manually locked quantity. This value is only populated when a quantity overwritten variant gets locked by order volume protection.
isLockedByOrderVolumeProtectionboolean
A boolean value representing if the variant is locked by order volume protection.
default "false"
listingParentIdinteger
pricenumber
salePricenumber
estimatedShippingCostnumber
estimatedDropshipFeenumber
inventoryListPricenumber
imagesFetchedboolean
builtWithMappingTemplateIdinteger
builtAtstring (date-time)
rebuiltAtstring (date-time)
idinteger
accountIdinteger
skustringrequired
masterSkustring
Your master SKU is the SKU you use at your central product catalog level that is used as the primary means of identifying and linking your different listings across all your channels to your single central product
titlestring
mpnstring
upcstring
eanstring
asinstring
msrpnumber
mapnumber
weightnumber
lengthnumber
widthnumber
heightnumber
insertedAtstring (date-time)
updatedAtstring (date-time)
archivedboolean
costnumber
quantityinteger
weightUnitobject
handlestring
allowedpoundouncegramkilogram
abbreviatedHandlestring
allowedlbozgkg
dimensionUnitobject
handlestring
allowedinchcentimeter
abbreviatedHandlestring
allowedincm
dimensionalWeightnumber
imagesarray[ListingImage]
listingParentIdinteger
listingVariantIdinteger
md5Checksumstring
idinteger
urlstringrequired
sortOrderinteger
createdAtstring (date-time)
publishedAtstring (date-time)
staticContentUpdatedAtstring (date-time)
staticContentSyncedAtstring (date-time)
dynamicContentUpdatedAtstring (date-time)
dynamicCOntentSyncedAtstring (date-time)
publishingboolean
externalListingIdstring
listingErrorstring
productParentImageIdinteger
productVariantImageIdinteger
optionsarray[ListingVariantOption]
listingParentOptionIdinteger
globalOptionValueIdinteger (int64)
listingVariantIdinteger
idinteger
namestringrequired
valuestringrequired
positioninteger
globalPositioninteger
channelIdintegerrequired
productVariantIdintegerrequired
externalListingIdstring
publishErrorstring
syncErrorstring
pausedAtstring (date-time)
staticContentUpdatedAtstring (date-time)
staticContentSyncedAtstring (date-time)
dynamicContentUpdatedAtstring (date-time)
dynamicContentSyncedAtstring (date-time)
linkAttemptedAtstring (date-time)
linkedToRegularProductboolean
externalReferenceIdstring
externalReferenceIdTypestring
listingStatusobject
idinteger
handlestringrequired
allowednot_listedlistedhiddendelistedpublishedbroken_linkoverwrite_data
namestring
changeToListingStatusobject
idinteger
handlestringrequired
allowednot_listedlistedhiddendelistedpublishedbroken_linkoverwrite_data
namestring
listingParentobject
idinteger
accountIdinteger
skustringrequired
titlestring
descriptionstring
manufacturerstring
insertedAtstring (date-time)
updatedAtstring (date-time)
archivedboolean
categoryOneobject
A listing category. These are primarily created during the listing building process, and are initially seeded/populated from the passed `productCategory`.
accountIdinteger
insertedAtstring (date-time)
updatedAtstring (date-time)
customizedboolean
idinteger
namestringrequired
parentCategoryIdinteger
productCategoryProductCategory
A product category. These are primarily created during the product building process, and are initially seeded/populated from the passed `inventoryCategory`.
channelIdintegerrequired
productCategoryIdinteger
categoryTwoobject
A listing category. These are primarily created during the listing building process, and are initially seeded/populated from the passed `productCategory`.
accountIdinteger
insertedAtstring (date-time)
updatedAtstring (date-time)
customizedboolean
idinteger
namestringrequired
parentCategoryIdinteger
productCategoryProductCategory
A product category. These are primarily created during the product building process, and are initially seeded/populated from the passed `inventoryCategory`.
channelIdintegerrequired
productCategoryIdinteger
categoryThreeobject
A listing category. These are primarily created during the listing building process, and are initially seeded/populated from the passed `productCategory`.
accountIdinteger
insertedAtstring (date-time)
updatedAtstring (date-time)
customizedboolean
idinteger
namestringrequired
parentCategoryIdinteger
productCategoryProductCategory
A product category. These are primarily created during the product building process, and are initially seeded/populated from the passed `inventoryCategory`.
channelIdintegerrequired
productCategoryIdinteger
imagesarray[ListingImage]
optionsarray[ListingParentOption]
attributesarray[ListingParentAttribute]
customFieldsarray[ListingParentCustomField]
variantsarray[ListingVariant]
categoryOneIdinteger
categoryTwoIdinteger
categoryThreeIdinteger
imagesFetchedboolean
builtWithMappingTemplateIdinteger
builtAtstring (date-time)
rebuiltAtstring (date-time)
channelIdintegerrequired
productParentIdintegerrequired
externalListingIdstring
publishErrorstring
syncErrorstring
staticContentUpdatedAtstring (date-time)
staticContentSyncedAtstring (date-time)
linkAttemptedAtstring (date-time)
listingStatusobject
idinteger
handlestringrequired
allowednot_listedlistedhiddendelistedpublishedbroken_linkoverwrite_data
namestring
changeToListingStatusobject
idinteger
handlestringrequired
allowednot_listedlistedhiddendelistedpublishedbroken_linkoverwrite_data
namestring
pausedAtstring (date-time)
scheduledToDeleteAtstring (date-time)
tagsarray[string]
imageFetcherEventTriggeredboolean
customAggregateFieldsarray[ListingVariantCustomAggregateField]
idinteger (int64)
listingVariantIdinteger
accountIdinteger
customAggregateFieldCustomAggregateField
namestring
valuenumber
customAggregateFieldIdinteger
scheduledToDeleteAtstring (date-time)
profitnumber
profitPercentagenumber
profitWithFeesnumber
profitWithFeesPercentagenumber
customFieldsarray[ListingVariantCustomField]
idinteger (int64)
customFieldValueIdinteger
customFieldIdinteger
namestringrequired
valuestringrequired
originalInventoryNamestring
originalInventoryValuestring
mergeToCustomFieldIdinteger
mergeToCustomFieldNamestring
mergeToCustomFieldValueIdinteger
mergeToCustomFieldValuestring
tagsarray[string]
string
descriptionstring
requiresFflboolean
Indicate if FFL information will be required to fulfill this listing variant
imageFetcherEventTriggeredboolean
priceProtectionboolean
Will be marked as true when any of these conditions are met : -List Price <= Cost -Cost = 0 or Is Empty -No Linked Inventory),
linkedSourceCountinteger
The number of sources that are linked to the listings associated product
categoryOneIdinteger
categoryTwoIdinteger
categoryThreeIdinteger
imagesFetchedboolean
builtWithMappingTemplateIdinteger
builtAtstring (date-time)
rebuiltAtstring (date-time)
channelIdintegerrequired
productParentIdintegerrequired
externalListingIdstring
publishErrorstring
syncErrorstring
staticContentUpdatedAtstring (date-time)
staticContentSyncedAtstring (date-time)
linkAttemptedAtstring (date-time)
listingStatusobject
idinteger
handlestringrequired
allowednot_listedlistedhiddendelistedpublishedbroken_linkoverwrite_data
namestring
changeToListingStatusobject
idinteger
handlestringrequired
allowednot_listedlistedhiddendelistedpublishedbroken_linkoverwrite_data
namestring
pausedAtstring (date-time)
scheduledToDeleteAtstring (date-time)
tagsarray[string]
string
imageFetcherEventTriggeredboolean
customAggregateFieldsarray[ListingVariantCustomAggregateField]
idinteger (int64)
listingVariantIdinteger
accountIdinteger
customAggregateFieldobject
idinteger
aggregateFieldDataTypeIdinteger
customAggregateFieldOptionIdinteger
namestring
handlestring
ignoreOutOfStockboolean
default false
accountIdinteger
namestring
valuenumber
customAggregateFieldIdinteger
scheduledToDeleteAtstring (date-time)
profitnumber
profitPercentagenumber
profitWithFeesnumber
profitWithFeesPercentagenumber
customFieldsarray[ListingVariantCustomField]
idinteger (int64)
customFieldValueIdinteger
customFieldIdinteger
namestringrequired
valuestringrequired
originalInventoryNamestring
originalInventoryValuestring
mergeToCustomFieldIdinteger
mergeToCustomFieldNamestring
mergeToCustomFieldValueIdinteger
mergeToCustomFieldValuestring
tagsarray[string]
string
descriptionstring
requiresFflboolean
Indicate if FFL information will be required to fulfill this listing variant
imageFetcherEventTriggeredboolean
priceProtectionboolean
Will be marked as true when any of these conditions are met : -List Price <= Cost -Cost = 0 or Is Empty -No Linked Inventory),
linkedSourceCountinteger
The number of sources that are linked to the listings associated product
Example response
[
  {
    "priceOverwrite": {
      "priceOverwritten": true,
      "costOverwritten": true,
      "msrpOverwritten": true,
      "mapOverwritten": true,
      "shippingCostOverwritten": true,
      "dropshipFeeOverwritten": true,
      "dynamicPrice": 0,
      "dynamicCost": 0,
      "dynamicMsrp": 0,
      "dynamicMap": 0,
      "dynamicShippingCost": 0,
      "dynamicDropshipFee": 0
    },
    "quantityOverwrite": {
      "quantityOverwritten": true,
      "dynamicQuantity": 0,
      "orderVolumeProtectionLockedAt": "string",
      "lastManualQuantity": 0,
      "isLockedByOrderVolumeProtection": true
    },
    "listingParentId": 0,
    "price": 0,
    "salePrice": 0,
    "estimatedShippingCost": 0,
    "estimatedDropshipFee": 0,
    "inventoryListPrice": 0,
    "imagesFetched": true,
    "builtWithMappingTemplateId": 0,
    "builtAt": "2026-04-20T00:00:00Z",
    "rebuiltAt": "2026-04-20T00:00:00Z",
    "id": 0,
    "accountId": 0,
    "sku": "string",
    "masterSku": "string",
    "title": "string",
    "mpn": "string",
    "upc": "string",
    "ean": "string",
    "asin": "string",
    "msrp": 0,
    "map": 0,
    "weight": 0,
    "length": 0,
    "width": 0,
    "height": 0,
    "insertedAt": "2026-04-20T00:00:00Z",
    "updatedAt": "2026-04-20T00:00:00Z",
    "archived": true,
    "cost": 0,
    "quantity": 0,
    "weightUnit": {
      "handle": "pound",
      "abbreviatedHandle": "lb"
    },
    "dimensionUnit": {
      "handle": "inch",
      "abbreviatedHandle": "in"
    },
    "dimensionalWeight": 0,
    "images": [
      {
        "listingParentId": 0,
        "listingVariantId": 0,
        "md5Checksum": "string",
        "id": 0,
        "url": "string",
        "sortOrder": 0,
        "createdAt": "2026-04-20T00:00:00Z",
        "publishedAt": "2026-04-20T00:00:00Z",
        "staticContentUpdatedAt": "2026-04-20T00:00:00Z",
        "staticContentSyncedAt": "2026-04-20T00:00:00Z",
        "dynamicContentUpdatedAt": "2026-04-20T00:00:00Z",
        "dynamicCOntentSyncedAt": "2026-04-20T00:00:00Z",
        "publishing": true,
        "externalListingId": "string",
        "listingError": "string",
        "productParentImageId": 0,
        "productVariantImageId": 0
      }
    ],
    "options": [
      {
        "listingParentOptionId": 0,
        "globalOptionValueId": 0,
        "listingVariantId": 0,
        "id": 0,
        "name": "string",
        "value": "string",
        "position": 0,
        "globalPosition": 0
      }
    ],
    "channelId": 0,
    "productVariantId": 0,
    "externalListingId": "string",
    "publishError": "string",
    "syncError": "string",
    "pausedAt": "2026-04-20T00:00:00Z",
    "staticContentUpdatedAt": "2026-04-20T00:00:00Z",
    "staticContentSyncedAt": "2026-04-20T00:00:00Z",
    "dynamicContentUpdatedAt": "2026-04-20T00:00:00Z",
    "dynamicContentSyncedAt": "2026-04-20T00:00:00Z",
    "linkAttemptedAt": "2026-04-20T00:00:00Z",
    "linkedToRegularProduct": true,
    "externalReferenceId": "string",
    "externalReferenceIdType": "string",
    "listingStatus": {
      "id": 0,
      "handle": "not_listed",
      "name": "string"
    },
    "changeToListingStatus": {
      "id": 0,
      "handle": "not_listed",
      "name": "string"
    },
    "listingParent": {
      "id": 0,
      "accountId": 0,
      "sku": "string",
      "title": "string",
      "description": "string",
      "manufacturer": "string",
      "insertedAt": "2026-04-20T00:00:00Z",
      "updatedAt": "2026-04-20T00:00:00Z",
      "archived": true,
      "categoryOne": {
        "accountId": 0,
        "insertedAt": "2026-04-20T00:00:00Z",
        "updatedAt": "2026-04-20T00:00:00Z",
        "customized": true,
        "id": 0,
        "name": "string",
        "parentCategoryId": 0,
        "productCategory": {
          "accountId": null,
          "insertedAt": null,
          "updatedAt": null,
          "customized": null,
          "id": null,
          "name": null,
          "parentCategoryId": null,
          "inventoryCategory": null
        },
        "channelId": 0,
        "productCategoryId": 0
      },
      "categoryTwo": {
        "accountId": 0,
        "insertedAt": "2026-04-20T00:00:00Z",
        "updatedAt": "2026-04-20T00:00:00Z",
        "customized": true,
        "id": 0,
        "name": "string",
        "parentCategoryId": 0,
        "productCategory": {
          "accountId": null,
          "insertedAt": null,
          "updatedAt": null,
          "customized": null,
          "id": null,
          "name": null,
          "parentCategoryId": null,
          "inventoryCategory": null
        },
        "channelId": 0,
        "productCategoryId": 0
      },
      "categoryThree": {
        "accountId": 0,
        "insertedAt": "2026-04-20T00:00:00Z",
        "updatedAt": "2026-04-20T00:00:00Z",
        "customized": true,
        "id": 0,
        "name": "string",
        "parentCategoryId": 0,
        "productCategory": {
          "accountId": null,
          "insertedAt": null,
          "updatedAt": null,
          "customized": null,
          "id": null,
          "name": null,
          "parentCategoryId": null,
          "inventoryCategory": null
        },
        "channelId": 0,
        "productCategoryId": 0
      },
      "images": [
        {
          "listingParentId": null,
          "listingVariantId": null,
          "md5Checksum": null,
          "id": null,
          "url": null,
          "sortOrder": null,
          "createdAt": null,
          "publishedAt": null,
          "staticContentUpdatedAt": null,
          "staticContentSyncedAt": null,
          "dynamicContentUpdatedAt": null,
          "dynamicCOntentSyncedAt": null,
          "publishing": null,
          "externalListingId": null,
          "listingError": null,
          "productParentImageId": null,
          "productVariantImageId": null
        }
      ],
      "options": [
        {
          "listingParentId": null,
          "globalOptionId": null,
          "id": null,
          "name": null,
          "optionValues": null
        }
      ],
      "attributes": [
        {
          "id": null,
          "attributeId": null,
          "attributeValueId": null,
          "name": null,
          "originalInventoryName": null,
          "value": null,
          "originalInventoryValue": null,
          "isPrivate": null,
          "mergeToAttributeId": null,
          "mergeToAttributeName": null,
          "mergeToAttributeValueId": null,
          "mergeToAttributeValue": null,
          "mergeToAttributeIsPrivate": null
        }
      ],
      "customFields": [
        {
          "id": null,
          "customFieldValueId": null,
          "customFieldId": null,
          "name": null,
          "value": null,
          "originalInventoryName": null,
          "originalInventoryValue": null,
          "mergeToCustomFieldId": null,
          "mergeToCustomFieldName": null,
          "mergeToCustomFieldValueId": null,
          "mergeToCustomFieldValue": null
        }
      ],
      "variants": [
        {
          "priceOverwrite": null,
          "quantityOverwrite": null,
          "listingParentId": null,
          "price": null,
          "salePrice": null,
          "estimatedShippingCost": null,
          "estimatedDropshipFee": null,
          "inventoryListPrice": null,
          "imagesFetched": null,
          "builtWithMappingTemplateId": null,
          "builtAt": null,
          "rebuiltAt": null,
          "id": null,
          "accountId": null,
          "sku": null,
          "masterSku": null,
          "title": null,
          "mpn": null,
          "upc": null,
          "ean": null,
          "asin": null,
          "msrp": null,
          "map": null,
          "weight": null,
          "length": null,
          "width": null,
          "height": null,
          "insertedAt": null,
          "updatedAt": null,
          "archived": null,
          "cost": null,
          "quantity": null,
          "weightUnit": null,
          "dimensionUnit": null,
          "dimensionalWeight": null,
          "images": null,
          "options": null,
          "channelId": null,
          "productVariantId": null,
          "externalListingId": null,
          "publishError": null,
          "syncError": null,
          "pausedAt": null,
          "staticContentUpdatedAt": null,
          "staticContentSyncedAt": null,
          "dynamicContentUpdatedAt": null,
          "dynamicContentSyncedAt": null,
          "linkAttemptedAt": null,
          "linkedToRegularProduct": null,
          "externalReferenceId": null,
          "externalReferenceIdType": null,
          "listingStatus": null,
          "changeToListingStatus": null,
          "listingParent": null,
          "customAggregateFields": null,
          "scheduledToDeleteAt": null,
          "profit": null,
          "profitPercentage": null,
          "profitWithFees": null,
          "profitWithFeesPercentage": null,
          "customFields": null,
          "tags": null,
          "description": null,
          "requiresFfl": null,
          "imageFetcherEventTriggered": null,
          "priceProtection": null,
          "linkedSourceCount": null
        }
      ],
      "categoryOneId": 0,
      "categoryTwoId": 0,
      "categoryThreeId": 0,
      "imagesFetched": true,
      "builtWithMappingTemplateId": 0,
      "builtAt": "2026-04-20T00:00:00Z",
      "rebuiltAt": "2026-04-20T00:00:00Z",
      "channelId": 0,
      "productParentId": 0,
      "externalListingId": "string",
      "publishError": "string",
      "syncError": "string",
      "staticContentUpdatedAt": "2026-04-20T00:00:00Z",
      "staticContentSyncedAt": "2026-04-20T00:00:00Z",
      "linkAttemptedAt": "2026-04-20T00:00:00Z",
      "listingStatus": {
        "id": 0,
        "handle": "not_listed",
        "name": "string"
      },
      "changeToListingStatus": {
        "id": 0,
        "handle": "not_listed",
        "name": "string"
      },
      "pausedAt": "2026-04-20T00:00:00Z",
      "scheduledToDeleteAt": "2026-04-20T00:00:00Z",
      "tags": [
        "string"
      ],
      "imageFetcherEventTriggered": true
    },
    "customAggregateFields": [
      {
        "id": 0,
        "listingVariantId": 0,
        "accountId": 0,
        "customAggregateField": {
          "id": null,
          "aggregateFieldDataTypeId": null,
          "customAggregateFieldOptionId": null,
          "name": null,
          "handle": null,
          "ignoreOutOfStock": null,
          "accountId": null
        },
        "name": "string",
        "value": 0,
        "customAggregateFieldId": 0
      }
    ],
    "scheduledToDeleteAt": "2026-04-20T00:00:00Z",
    "profit": 0,
    "profitPercentage": 0,
    "profitWithFees": 0,
    "profitWithFeesPercentage": 0,
    "customFields": [
      {
        "id": 0,
        "customFieldValueId": 0,
        "customFieldId": 0,
        "name": "string",
        "value": "string",
        "originalInventoryName": "string",
        "originalInventoryValue": "string",
        "mergeToCustomFieldId": 0,
        "mergeToCustomFieldName": "string",
        "mergeToCustomFieldValueId": 0,
        "mergeToCustomFieldValue": "string"
      }
    ],
    "tags": [
      "string"
    ],
    "description": "string",
    "requiresFfl": true,
    "imageFetcherEventTriggered": true,
    "priceProtection": true,
    "linkedSourceCount": 0
  }
]
401Unauthorized

No schema documented for this status.

OpenAPI fragment
{
  "post": {
    "summary": "[Deprecated] Search Listing Variants",
    "description": "Lists Listing Variants that meet the input filters",
    "parameters": [
      {
        "schema": {
          "type": "integer",
          "default": 20,
          "minimum": 1,
          "maximum": 100
        },
        "in": "query",
        "name": "pageSize",
        "description": "Number of entries per page"
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "page"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "includeParent"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "includeImages"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "includeOptionValues"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "includeOverwrites",
        "description": "will include dynamic prices and quantities if they are overwritten with fixed values"
      },
      {
        "schema": {
          "type": "boolean"
        },
        "in": "query",
        "name": "includeCustomFields"
      }
    ],
    "requestBody": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ListingVariantSearchRequest"
          },
          "examples": {
            "example-1": {
              "value": {
                "filterParentIds": [
                  0
                ],
                "filterVariantIds": [
                  0
                ]
              }
            }
          }
        }
      }
    },
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/ListingVariant"
              }
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight